Package org.firebirdsql.jdbc

## Class FBProcedureParam

- java.lang.Object
- - org.firebirdsql.jdbc.FBProcedureParam

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class FBProcedureParam
    extends java.lang.Object
    implements java.lang.Cloneable

Represents procedure call parameter.

### Constructor Summary

Constructors
`FBProcedureParam​(int position, java.lang.String paramValue)` Create a new `FBProcedureParam` instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()`
`boolean` `equals​(java.lang.Object obj)`
`int` `getIndex()`
`java.lang.String` `getParamValue()` Get the variable value of this parameter
`int` `getPosition()` Get the position of this parameter
`int` `getType()` Get the SQL type of this parameter.
`java.lang.Object` `getValue()` Set the value for this parameter
`int` `hashCode()`
`boolean` `isParam()` Check if this parameter is a variable input parameter
`boolean` `isValueSet()` Check if the value of this parameter has been set
`void` `setIndex​(int index)`
`void` `setType​(int type)` Set the SQL type of this parameter
`void` `setValue​(java.lang.Object value)` Set the variable value of this parameter

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FBProcedureParam

    public FBProcedureParam​(int position,
                            java.lang.String paramValue)

Create a new `FBProcedureParam` instance.

Parameters:
  `position` - The position at which this parameter is situated in the call
  `paramValue` - The value for this parameter

### Method Detail

#### isParam

    public final boolean isParam()

Check if this parameter is a variable input parameter

Returns:
  `true` if this is an input parameter, `false` otherwise

#### getPosition

    public final int getPosition()

Get the position of this parameter

Returns:
  The index of this parameter (first index is 1)

#### getIndex

    public int getIndex()

#### setIndex

    public void setIndex​(int index)

#### getParamValue

    public final java.lang.String getParamValue()

Get the variable value of this parameter

Returns:
  The parameter value

#### getValue

    public java.lang.Object getValue()

Set the value for this parameter

#### setValue

    public void setValue​(java.lang.Object value)
                  throws java.sql.SQLException

Set the variable value of this parameter

Parameters:
  `value` - The value to be set
Throws:
  `java.sql.SQLException` - if this parameter contains a constant value

#### isValueSet

    public boolean isValueSet()

Check if the value of this parameter has been set

Returns:
  `true` if the value has been set, `false` otherwise

#### getType

    public int getType()

Get the SQL type of this parameter.

Returns:
  The SQL type of this parameter

#### setType

    public void setType​(int type)

Set the SQL type of this parameter

Parameters:
  `type` - The SQL type of this parameter

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`